/**
 *  '$RCSfile: EcogridCompressedDataCacheItemTest.java,v $'
 *  Copyright: 2000 Regents of the University of California and the
 *              National Center for Ecological Analysis and Synthesis
 *    Authors: Jing Tao
 *    Release: @release@
 *
 *   '$Author: ruland $'
 *     '$Date: 2006/02/01 16:17:13 $'
 * '$Revision: 1.6 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ecoinformatics.seek.datasource;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import java.util.Vector;

import org.ecoinformatics.seek.dataquery.DelimiterResolver;
import org.ecoinformatics.seek.datasource.EcogridCompressedDataCacheItem;
import org.ecoinformatics.util.Util;
import java.io.File;




/**
 * This class will test EcogridCompressedDataCacheItem object
 * Note: make sure there is a zip file name 1009.dat in the cache dir and 1009.dat
 * has three zip entries: query1.txt, query.txt and query.data
 */

public class EcogridCompressedDataCacheItemTest extends TestCase
{
  //constant
  private DelimiterResolver resolver = null;
  private static final String fileName = "1009.dat";

  public EcogridCompressedDataCacheItemTest(String name)
  {
    super(name);
  }


  /**
   * Establish a testing framework by initializing appropriate objects
   */
  public void setUp()
  {
   
  }

  /**
   * Release any objects after tests are complete
   */
  public void tearDown()
  {
  }

  /**
   * Create a suite of tests to be run together
   */
  public static Test suite()
  {
    TestSuite suite = new TestSuite();
    suite.addTest(new EcogridCompressedDataCacheItemTest("initialize"));
    suite.addTest(new EcogridCompressedDataCacheItemTest("getUnzippedFilePathTest"));
    return suite;
  }

  /**
   * Run an initial test that always passes to check that the test
   * harness is working.
   */
  public void initialize()
  {
    assertTrue(1 == 1);
  }

  /**
   * A test for method reslove for ";"
   *
   * Note - as of 12/9/2005 the contents of this try block was commented out.  This is the only
   * place which used Util.DBPATH or LOCALFILENAME.
   * Since this test was nonfunctional and was also broken by future revisions to org.ecoinformatics.util.Util
   * I commented out the references to Util.DBPATH to enable compilation.
   */
  public void getUnzippedFilePathTest()
  {
      //String path =Util.DBPATH+"unzip"+File.separator+fileName+File.separator;
      //String LOCALFILENAME = Util.DBPATH +fileName;
    try
    {
      /*EcogridCompressedDataCacheItem item = new EcogridCompressedDataCacheItem(false);
      item.setLocalFileName(LOCALFILENAME);
      item.unzipCacheItem();
      String[] txtList  = item.getUnzippedFilePath("txt");
      System.out.println("The txt file in list is "+txtList[0]);
      System.out.println("The txt file in list is "+txtList[1]);
      assertTrue(txtList[0].equals(path+"query.txt")||txtList[0].equals(path+"query1.txt"));
      assertTrue(txtList[1].equals(path+"query.txt")||txtList[1].equals(path+"query1.txt"));
      String[] dataList = item.getUnzippedFilePath("data");
      System.out.println("The data file in list is "+dataList[0]);
      assertTrue(dataList[0].equals(path+"query.data"));*/
    }
    catch(Exception e)
    {
      System.out.println("error is "+ e.getMessage());
      assertTrue(1==2);
    }
  }

 

}//DataQueryActionTest


